Package com.salesforce.datacloud.jdbc.util

## Class ArrowUtils

- java.lang.Object
- - com.salesforce.datacloud.jdbc.util.ArrowUtils

    public final class ArrowUtils
    extends Object

### Method Summary

All Methods Static Methods Concrete Methods
`static List<org.apache.calcite.avatica.ColumnMetaData>` `convertJDBCMetadataToAvaticaColumns​(ResultSetMetaData metaData, int maxSize)` Converts from JDBC metadata to Avatica columns.
`static org.apache.arrow.vector.types.pojo.Schema` `createSchemaFromParameters​(List<ParameterBinding> parameterBindings)` Creates a Schema from a list of ParameterBinding.
`static int` `getSQLTypeFromArrowType​(org.apache.arrow.vector.types.pojo.ArrowType arrowType)`
`static byte[]` `toArrowByteArray​(List<ParameterBinding> parameters, Calendar calendar)`
`static List<org.apache.calcite.avatica.ColumnMetaData>` `toColumnMetaData​(List<org.apache.arrow.vector.types.pojo.Field> fields)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### toColumnMetaData

    public static List<org.apache.calcite.avatica.ColumnMetaData> toColumnMetaData​(List<org.apache.arrow.vector.types.pojo.Field> fields)

#### convertJDBCMetadataToAvaticaColumns

    public static List<org.apache.calcite.avatica.ColumnMetaData> convertJDBCMetadataToAvaticaColumns​(ResultSetMetaData metaData,
                                                                                                      int maxSize)

Converts from JDBC metadata to Avatica columns.

#### createSchemaFromParameters

    public static org.apache.arrow.vector.types.pojo.Schema createSchemaFromParameters​(List<ParameterBinding> parameterBindings)

Creates a Schema from a list of ParameterBinding.

Parameters:
  `parameterBindings` - a list of ParameterBinding objects
Returns:
  a Schema object corresponding to the provided parameters

#### toArrowByteArray

    public static byte[] toArrowByteArray​(List<ParameterBinding> parameters,
                                          Calendar calendar)
                                   throws IOException

Throws:
  `IOException`

#### getSQLTypeFromArrowType

    public static int getSQLTypeFromArrowType​(org.apache.arrow.vector.types.pojo.ArrowType arrowType)